Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo
Class InvalidOwnerException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--oracle.jbo.JboException
                              |
                              +--oracle.jbo.InvalidOwnerException

public class InvalidOwnerException
extends JboException

Indicates that an attempt has been made to associate an object with an entity not its owner. This class may be extended to provide localizable exceptions to arbitrary bundle classes.

Since:
  JDeveloper 3.0
See Also:
  Serialized Form

Constructor Summary
`InvalidOwnerException(java.lang.Class resBundleClass, java.lang.String errorCode, java.lang.String objName, Key key)` Creates a localizable exception.
`InvalidOwnerException(java.lang.String msg, java.lang.String errorCode, java.lang.String objName, Key key)` Creates a non-localizable exception.

Methods inherited from class oracle.jbo.JboException
`addToDetails, getBaseMessage, getDetailMessage, getDetails, getErrorCode, getErrorParameters, getJboExceptionHelper, getLocalizedBaseMessage, getLocalizedMessage, getMessage, getProductCode, getResourceClass, getResourceName, getTypeNameFromId, isLocalizable, printStackTrace, printStackTrace, printStackTrace, setApplicationModule, setDetails, setErrorParameters`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidOwnerException

    public InvalidOwnerException(java.lang.Class resBundleClass,
                                 java.lang.String errorCode,
                                 java.lang.String objName,
                                 Key key)

  Creates a localizable exception.
  Parameters:
    `bundleClass` - a resource bundle.
    `operCode` - an error code.
    `objName` - the object's name, the first message parameter.
    `key` - the entity's key, the second message parameter.

### InvalidOwnerException

    public InvalidOwnerException(java.lang.String msg,
                                 java.lang.String errorCode,
                                 java.lang.String objName,
                                 Key key)

  Creates a non-localizable exception.
  Parameters:
    `msg` - the unformatted text of the message.
    `errorCode` - an error code.
    `objName` - the object's name, the first message parameter.
    `key` - the entity's key, the second message parameter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD